Page MenuHomePhabricator

\acute not working inside \mbox in MathJax
Closed, InvalidPublic

Description

\mbox{\acute{i}} doesn't produce an í, but renders \acute{i} literally.
(the glyph for \acute{i} is still wrong, but that's bug 38721)

Test case: https://es.wikipedia.org/w/index.php?title=Usuario:Matanya/test&oldid=58272475


Version: unspecified
Severity: normal

Details

Reference
bz38722

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:04 AM
bzimport added a project: Math.
bzimport set Reference to bz38722.
bzimport added a subscriber: Unknown Object (MLST).

This is a latex mathmode 'issue', not texvc nor mathjax really. It is supposed to render it literally, because that is how the mathmode of latex is defined to behave.

What you want is \text{í} (for textual) or \acute{\imath} (for mathematical) I think ?

Could be. It's strange it wasn't mentioned in bug 2458.

When using MathJaX however, <math>\acute{imath}</math> renders aproximately to imˊath

TheDJ added a comment.Aug 5 2012, 11:50 AM

\acute is a 'mathmode' operator, not a textual element. \mbox renders text in the font that surrounds the mathmode part, but has lots of issues apparently (looks a bit as if it's just mathmode, but with a different font). \text (part of AMS) is the best way to render text inside mathmode apparently.

bug 2458 basically discusses the issue that there are named operators in latex \lim for instance, that some users would expect to be rendered as lím in certain countries. In the discussion of the bug, multiple workarounds to create lím in other ways are being discussed, however none of those methods are ideal.

With AMS and MathJax you can actually do it the proper way, which is:

\DeclareMathOperator*{\lim}{lím}

Pkra added a comment.Feb 10 2014, 12:04 PM

Just to check but this does not seem like a bug (or perhaps this has been fixed).

From what I can see, (on Wikipedia' sandbox) the math extension rejects <math> \mbox{\actute{i}}</math> and <math> \mbox{\text{í}}</math> as malformed (as Derk-Jan pointed out, that's correct behavior), and renders <math> \actute{i}</math> and <math> \text{í}</math> as expected -- in both PNG and MathJax output.

The only "problem" I can come up with is that MathJax would render something like <math>\mbox{$\acute{i}\text{í}$}</math> whereas MediaWiki considers it malformed. But that seems intentional.

Peter.

physik wrote:

(In reply to comment #4)

Just to check but this does not seem like a bug (or perhaps this has been
fixed).
From what I can see, (on Wikipedia' sandbox) the math extension rejects
<math>
\mbox{\actute{i}}</math> and <math> \mbox{\text{í}}</math> as malformed (as
Derk-Jan pointed out, that's correct behavior), and renders <math>
\actute{i}</math> and <math> \text{í}</math> as expected -- in both PNG and
MathJax output.
The only "problem" I can come up with is that MathJax would render something
like <math>\mbox{$\acute{i}\text{í}$}</math> whereas MediaWiki considers it
malformed. But that seems intentional.
Peter.

Yes that's intended. texvc does not allow to switch the rendering mode via $.